function [iMatrix] = getIfunction(Image, centerx, centery)

%Creates a matrix of intensity values surrounding a desired pixel

iMatrix = double(zeros(3,3));

iMatrix(1,1) = Image((centerx - 1), (centery - 1));
iMatrix(1,2) = Image((centerx - 1), (centery));
iMatrix(1,3) = Image((centerx - 1), (centery + 1));
iMatrix(2,1) = Image((centerx), (centery - 1));
iMatrix(2,2) = Image(centerx, centery);
iMatrix(2,3) = Image((centerx), (centery + 1));
iMatrix(3,1) = Image((centerx + 1), (centery - 1));
iMatrix(3,2) = Image((centerx + 1), (centery));
iMatrix(3,3) = Image((centerx + 1), (centery + 1));